package com.jamesquinley;

/**
I/O and lobby management backend for new sandbox multiplayer game, go team (Marci and I!)
 */
public class Main {
    public static void main(String[] args) throws InterruptedException {
        com.jamesquinley.DelegationServices.delegationServices.connectionInit();
        com.jamesquinley.DelegationServices.delegationServices.Purge();
        System.out.println("We're starting the login delegation server, please wait one moment while we check a few things.");
        System.out.println("We've started everything, requests are now being served");
       while (true) {
           isolatedTrigger();
           Thread.sleep(500);
       }
    }

    static void isolatedTrigger() {
            try {
                com.jamesquinley.DelegationServices.delegationServices.userAuthetication();
            } catch (Exception e) {
                System.out.println("We ran into an issue, this is a known issue and will be fixed once I can figure it out. " + e.getCause());
            }
    }
}